<?php

namespace Drupal\donorperfect;

use Drupal\Core\Controller\ControllerBase as CoreControllerBase;

/**
 * Base class for DonorPerfect controllers.
 */
abstract class ControllerBase extends CoreControllerBase {

  /**
   * {@inheritdoc}
   */
  protected function container() {
    return \Drupal::getContainer();
  }

  /**
   * Retrieves the configuration factory service.
   *
   * @return \Drupal\Core\Config\ConfigFactoryInterface
   *   The configuration factory service.
   */
  protected function configFactory() {
    if (!$this->configFactory) {
      $this->configFactory = $this->container()->get('config.factory');
    }
    return $this->configFactory;
  }

}
